
import { CSSProperties, MouseEvent } from 'react'
import styles from './Square.module.css'

export type Props = {
    key?: string
    isTreasure: boolean
    width?: number
    height?: number
    onClick?: (e: MouseEvent<HTMLDivElement>, isTreasure: boolean) => void
}
const Square = ({isTreasure, width = 100, height = 100, onClick}: Props) => {
    return (
        <div onClick={onClick ? (e) => onClick(e, isTreasure) : undefined} className={styles.square} style={{width: `${width}px`, height: `${height}px`}} />
    )
}

export default Square